<!-- Login Page Component -->
<div class="Global-Login-Page">

  <!-- Page Header-->
  <div class="Header">
    <h1> Welcome Back </h1>
  </div>

  <!-- Login Card Area -->
  <div class="Card">

    <!-- Login Form -->
    <form [formGroup]="loginForm" (ngSubmit)="onSubmit()">

      <!-- Email Input Area -->
      <label for="email">Email: </label><br>
      <input id="email" type="text" formControlName="email">

      <!-- Email Validation messages -->
      <div class="invalid-feedback"
       *ngIf="(submitted && loginForm.controls.email.errors) || (!loginForm.controls.email.pristine && loginForm.controls.email.invalid)">
        <div *ngIf="loginForm.controls.email.errors!.required">Email is required</div>
        <div *ngIf="loginForm.controls.email.errors!.pattern">Enter valid email</div>
      </div><br>


      <!-- Password Input Area -->
      <label for="password">Password: </label><br>
      <input id="password" type="text" formControlName="password">

      <!-- Password Validation messages -->
      <div class="invalid-feedback"
       *ngIf="(submitted && loginForm.controls.password.errors) || (!loginForm.controls.password.pristine && loginForm.controls.password.invalid)">
        <div *ngIf="loginForm.controls.password.errors!.required">Password is required</div>
        <div *ngIf="loginForm.controls.password.errors!.minlength">Minimum 8 characters required</div>
      </div><br>


      <!-- Buttons Area -->
      <button class="Button Login"  type="submit">  Log-in </button>
      <button class="Button Signup" type="button" (click)="redirect()"> Sign-up </button>
    </form>
  </div>
</div>
